Bug 886786 - PRD33 - ovirt-engine-cli : show event -id accept strings instead of numeric values
PRD33 - ovirt-engine-cli : show event -id accept strings instead of numeric ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
: Improvement
Depends On:
Blocks: 976621
  Show dependency treegraph
 
Reported: 2012-12-13 02:33 EST by Oded Ramraz
Modified: 2016-02-10 14:32 EST (History)
8 users (show)

See Also:
Fixed In Version: is3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 976621 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11982 None None None Never

  None (edit)
Description Oded Ramraz 2012-12-13 02:33:12 EST
Description of problem:

show event -id does not accept string instead of numeric value ( see additional information )

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

[RHEVM shell (connected)]# show event --id 1534

unknown error: cannot concatenate 'str' and 'int' objects

[RHEVM shell (connected)]# show event --id "1534"

id         : 1534
description: User admin@internal logged in.
code       : 30
severity   : normal
time       : 2012-12-13T09:27:03.784+02:00
user-id    : fdfc627c-d875-11e0-90f0-83df133b58cc
Comment 1 Michael Pasternak 2012-12-13 03:17:19 EST
i would not call this a bug, see help for this command [1], id should be
of string type, but we can implement auto-boxing to strings.

[1]

[oVirt shell (connected)]# help show event 

USAGE
  
  - show <type>
      
  - show <type> <id> [object identifiers]
  
DESCRIPTION
  
  Shows an object by type 'event'. See 'help show' for generic
  help on showing objects.
  
ATTRIBUTE OPTIONS
  
  The following options are available for objects with type 'event':
  
    * [--id :string]
    * [--name: string]
Comment 2 Ilia Meerovich 2013-07-03 07:10:58 EDT
[RHEVM shell (connected)]# show event --id 60

id            : 60
description   : New Tag foo was created by admin@internal.
code          : 432
correlation_id: 3e4d4350
custom_id     : -1
flood_rate    : 30
origin        : oVirt
severity      : normal
time          : 2013-07-03 10:57:43.257000+03:00
user-id       : fdfc627c-d875-11e0-90f0-83df133b58cc

[RHEVM shell (connected)]# show event --id '60'

id            : 60
description   : New Tag foo was created by admin@internal.
code          : 432
correlation_id: 3e4d4350
custom_id     : -1
flood_rate    : 30
origin        : oVirt
severity      : normal
time          : 2013-07-03 10:57:43.257000+03:00
user-id       : fdfc627c-d875-11e0-90f0-83df133b58cc
Comment 3 Itamar Heim 2014-01-21 17:29:00 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:29:01 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:32:00 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.